Bug 215364 - Mouse pointer not available on boot
Mouse pointer not available on boot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 12:42 EST by Victor Lorenz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 10:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Lorenz 2006-11-13 12:42:41 EST
Description of problem:
Mouse pointer disappears on boot. Neeed to reset and reboot to recover

Version-Release number of selected component (if applicable):


How reproducible:
Boot system.  Mouse pointer there during rhgb disappears after nVidia splash
screen and logon screen. Hit reset and reboot

Steps to Reproduce:
1.Boot system
2.Wait for logon screen
3.if mouse not available, hit reset 
4. Mouse reappears


  
Actual results:


Expected results:


Additional info:

Running X86_64 FC6 on M2NPV-VM motherboard; BIOS updated to ver. 504
Using kmod-nvidia and xorg-x11-drv-nvidia. On first pass nVidia splash screen
appears after rhgb completes. (no error msg. from rhgb). After reset nVidia
splash screen appears before rhgb starts and again after it completes, and mouse
pointer is then available on logon screen. Once on, mouse works fine throughout
session.  This problem also occurs on i386 verson of Linux on same machine.
Occurs with PS-2 or usb mouse. Without nVidia drivers mouse pointer is not
available. In all cases can use mouse to highlight icons etc but pointer not
availble.
Comment 1 Victor Lorenz 2006-12-08 08:56:12 EST
Replaced Philips 109s CRT monitor with LG 1919s LCD. Stll using the VGA port.
Now as well as no mouse on first boot, instead of rhgb process  monitor goes
blank except for "Out of Range"  84.x khz/79 Hz msg. Eventually logon screen
appears but with no mouse pointer as usual. On hitting reset, as before, boot
process repeats but everything works normal. Hitting reset before process
completes results in repeat of first boot flawed process. Also cannot change
monitor using Hardware part of Display; setting always reverts back to Philips 109s.

xorg.config  has msg in "Section "Monitor"

 ### Comment all HorizSync and VertSync values to use DDC:
 This line is repeated many, many times. 
Should this be filed as a separate bug?
Comment 2 Matěj Cepl 2006-12-28 18:45:26 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

Please, notice, that we don't support nvidia binary-only drivers from
kmod-nvidia package (there is no way how we can debug programs for which we
don't have a source code), so use in all communications with us only nv drivers
from Fedora packages.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Victor Lorenz 2007-04-15 11:34:31 EDT
Been away for awhile. Latest updates (April 7 +) have resolved all the issues.
Comment 4 Matěj Cepl 2007-04-16 10:19:41 EDT
Per reporter's information closing as NOTABUG (anymore).

Note You need to log in before you can comment on or make changes to this bug.